RLESPIFF(1)

NAME
rlespiff - Use simple contrast enhancement to "spiff up" an image.

SYNOPSIS
rlespiff [ -b blacklevel ] [ -s ] [ -t threshold ] [ -w whitelevel ] [ -o outfile ] [ infile ]

DESCRIPTION
Rlespiff "spiffs up" an image by stretching the contrast range so that the darkest pixel maps to black and the lightest to white. If the -s flag is given, the color channels will be treated separately. This will likely cause some drastic color shifts.

OPTIONS

-b blacklevel
    The darkest input pixel will map to this pixel value in the output image. The default is 0.

-s  If specified, each color channel will be mapped separately.

-t threshold
    This argument controls the number of samples of a pixel value that should be considered insignificant (and will therefore be ignored). It is specified in pixels/million. A threshold of 4 applied to a 512x512 image would mean that any value that existed at only one pixel would be ignored. The default value is 10.

-w whitelevel
    The lightest input pixel will map to this pixel value in the output image. The default is 255.

-o outfile
    If specified, the output will be written to this file. If outfile is "-", or if it is not specified, the output will be written to the standard output stream.

infile
    The input will be read from this file. If infile is "-" or is not specified, the input will be read from the standard input stream.

SEE ALSO
urt(1), RLE(5).

AUTHOR
Spencer W. Thomas